# Corrigé de 050-helmfile-kustomize

## Prerequis

* k3d
* kubectl
* helm
* helm-diff
* helmfile

## Créer le cluster

    k3d cluster create -c k3d/k3d-cluster.yaml

## Installer les charts helm (avec helmfile)

    helmfile apply 

## Intaller les différents services (avec kustomize)

### Option 1 : configuration basée sur Ingress (standard kubernetes)

    kubectl delete -f kubernetes/ingress-route/
    kubectl apply -f kubernetes/ingress/

### Option 2 : configuration basée sur IngressRoute (traefik)

    kubectl delete -f kubernetes/ingress/
    kubectl apply -f kubernetes/ingress-route/

## Vérifier les objets

### Option 1 : configuration basée sur Ingress (standard kubernetes)

    k9s -n web -c ingress

### Option 2 : configuration basée sur IngressRoute (traefik)

    k9s -n web -c ingress-route

## Tester le fonctionnement

    w3m http://localhost/dokuwiki
    w3m http://localhost/wordpress


  

